MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025966Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-22 01:102018-06-29 21:19
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0025966: Booleans with tangent faces
DescriptionThe result of booleans with tangents has in the past dependent on the order in which one combined the subshapes. With the introduction of multiple tools the chance to luckly get a working combination is gone in most cases.
I can figure that the examples are pretty much the worst possible combination of seam edges and tangential surfaces. But it might be worth to keep them as test cases.

Typical reported defects of results are BRepCheck_BadOrientationOfSubshape and BRepCheck_InvalidMultiConnexity
Steps To Reproducetest bugs modalg_7 bug25966
TagsNo tags attached.
Test case numberbugs modalg_7 bug25966
Attached Fileszip file icon fusion-reed_protector2.zip (42,561 bytes) 2015-03-22 01:10
? file icon fusion-reed_protector2.tcl (873 bytes) 2015-03-22 01:10
? file icon bug25966_Pad.brep (277,708 bytes) 2017-11-11 10:45
? file icon bug25966_Pad009.brep (2,933 bytes) 2017-11-11 10:46
? file icon bug25966_Revolution.brep (6,129 bytes) 2017-11-11 10:46

- Relationships

-  Notes
(0071892)
aml (developer)
2017-11-01 11:59

This problem is not reproduced on the current development version of OCCT.
The result of the Boolean operation is valid from the "checkshape" point of view.
(0071896)
msv (developer)
2017-11-01 12:35

It is need to create non-regression test.
(0071901)
aml (developer)
2017-11-01 12:48

I will take care of it.
(0072191)
git (administrator)
2017-11-11 10:45

Branch CR25966 has been created by aml.

SHA-1: 6fefa8badf1cad83913abd10bd63ed0365af4170


Detailed log of new commits:

Author: aml
Date: Sat Nov 11 10:44:41 2017 +0300

    0025966: Booleans with tangent faces
    
    Test case construction.
(0072192)
aml (developer)
2017-11-11 10:47

Dear msv,
Could you please check test case? Corresponding shapes are attached to the bug.
(0072199)
msv (developer)
2017-11-13 10:19

- There is no need to 'pload modeling' in each test case. It is made in one of 'begin'.
- Add a header.
- Consider checking with nbshapes, props and checkview (if needed).
(0072207)
git (administrator)
2017-11-13 11:44

Branch CR25966 has been updated by aml.

SHA-1: 2d0816653203a6fd4377a282ede51424ee81e7f7


Detailed log of new commits:

Author: aml
Date: Mon Nov 13 11:43:15 2017 +0300

    # Test case correction.

(0072208)
aml (developer)
2017-11-13 11:46

Done. Could you please look at the updated version of the CR25966 branch?
(0072219)
git (administrator)
2017-11-13 15:40

Branch CR25966 has been updated by msv.

SHA-1: 79d5e038a73c4e28068c6f59ef4c143fe47513f4


Detailed log of new commits:

Author: msv
Date: Mon Nov 13 15:40:34 2017 +0300

    #minor correction

(0072220)
msv (developer)
2017-11-13 15:40

Reviewed.
(0072239)
bugmaster (administrator)
2017-11-14 13:49

Test case is OK

Linux:
http://occt-tests/IR-WEEK46-INV-OCCT/Debian70-64/bugs/modalg_7/bug25966.html [^]

Windows:
http://occt-tests/IR-WEEK46-INV-OCCT/Windows-64-VC10/bugs/modalg_7/bug25966.html [^]
(0072783)
git (administrator)
2017-12-07 21:07

Branch CR25966 has been deleted by kgv.

SHA-1: 79d5e038a73c4e28068c6f59ef4c143fe47513f4

- Related Changesets
occt: master b39485d9
Timestamp: 2017-11-11 07:44:41
Author: aml
Committer: bugmaster
Details ] Diff ]
0025966: Booleans with tangent faces

Problem is not reproduced on current master.
Testing case was created
add - tests/bugs/modalg_7/bug25966 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-22 01:10 shoogen New Issue
2015-03-22 01:10 shoogen Assigned To => msv
2015-03-22 01:10 shoogen File Added: fusion-reed_protector2.zip
2015-03-22 01:10 shoogen File Added: fusion-reed_protector2.tcl
2017-11-01 11:59 aml Note Added: 0071892
2017-11-01 12:35 msv Note Added: 0071896
2017-11-01 12:48 aml Note Added: 0071901
2017-11-01 12:48 aml Assigned To msv => aml
2017-11-01 12:48 aml Status new => assigned
2017-11-11 10:45 git Note Added: 0072191
2017-11-11 10:45 aml File Added: bug25966_Pad.brep
2017-11-11 10:46 aml File Added: bug25966_Pad009.brep
2017-11-11 10:46 aml File Added: bug25966_Revolution.brep
2017-11-11 10:47 aml Note Added: 0072192
2017-11-11 10:47 aml Assigned To aml => msv
2017-11-11 10:47 aml Status assigned => resolved
2017-11-11 10:47 aml Steps to Reproduce Updated View Revisions
2017-11-13 10:19 msv Note Added: 0072199
2017-11-13 10:19 msv Assigned To msv => aml
2017-11-13 10:19 msv Status resolved => assigned
2017-11-13 11:44 git Note Added: 0072207
2017-11-13 11:46 aml Note Added: 0072208
2017-11-13 11:46 aml Assigned To aml => msv
2017-11-13 11:46 aml Status assigned => resolved
2017-11-13 15:40 git Note Added: 0072219
2017-11-13 15:40 msv Note Added: 0072220
2017-11-13 15:40 msv Assigned To msv => bugmaster
2017-11-13 15:40 msv Status resolved => reviewed
2017-11-14 13:47 bugmaster Test case number => bugs modalg_7 bug25966
2017-11-14 13:49 bugmaster Note Added: 0072239
2017-11-14 13:49 bugmaster Status reviewed => tested
2017-11-14 15:54 bugmaster Target Version => 7.3.0
2017-11-17 16:10 bugmaster Changeset attached => occt master b39485d9
2017-11-17 16:10 bugmaster Status tested => verified
2017-11-17 16:10 bugmaster Resolution open => fixed
2017-12-07 21:07 git Note Added: 0072783
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker